within ;
model BBccf4
  Modelica.Mechanics.Translational.Components.Mass mass(
    m=1, s(start=10, fixed=true), v(start=0, fixed=true)) annotation (Placement(transformation(extent={{-28,30},{-8,50}})));
  Modelica.Mechanics.Translational.Components.Fixed fixed annotation (Placement(
        transformation(
        extent={{-10,10},{10,-10}},
        rotation=-90,
        origin={30,40})));
  ArgesimLib.Gravity1d gravity  annotation (Placement(transformation(extent={{-58,30},{-38,50}})));
  ArgesimLib.ElastoGapA elastoGapA
    annotation (Placement(transformation(extent={{22,30},{2,50}})));
equation
  connect(gravity.flange, mass.flange_a) annotation (Line(points={{-38,40},{-28,40}}, color={0,127,0}));
  connect(mass.flange_b, elastoGapA.flange_b)
    annotation (Line(points={{-8,40},{2,40}}, color={0,127,0}));
  connect(elastoGapA.flange_a, fixed.flange)
    annotation (Line(points={{22,40},{30,40}}, color={0,127,0}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(
      StopTime=5,
      __Dymola_NumberOfIntervals=20000,
      Tolerance=1e-10));
end BBccf4;
