within ;
model BBeva1
  import Modelica.Blocks.Types.Init;
  Modelica.Blocks.Sources.Constant const(k=9.81)  annotation (Placement(transformation(extent={{-100,44},
            {-80,64}})));
  Modelica.Blocks.Continuous.LimIntegrator limIntegrator(
    outMax=100, outMin=0, initType=Init.InitialState, y_start=10) annotation (Placement(transformation(extent={{24,38},
            {44,58}})));
  Modelica.Blocks.Logical.ZeroCrossing zeroCrossing    annotation (Placement(transformation(extent={{66,38},
            {86,58}})));
  Modelica.Blocks.Logical.LessThreshold lessThreshold(threshold=0)    annotation (Placement(transformation(extent={{30,0},{
            50,20}})));
  ArgesimLib.ResetIntegrator resetIntegrator1(initType=Modelica.Blocks.Types.Init.InitialState,
      y_start=0)
    annotation (Placement(transformation(extent={{-16,38},{4,58}})));
  Modelica.Blocks.Math.Gain gain(k=-0.9)
    annotation (Placement(transformation(extent={{-2,0},{-22,20}})));
  Modelica.Blocks.Math.Add add(k2=-1, k1=-1)
    annotation (Placement(transformation(extent={{-60,38},{-40,58}})));
  ArgesimLib.AirResistance airResistance annotation (Placement(transformation(
          rotation=0, extent={{-36,-20},{-56,0}})));
equation
  connect(limIntegrator.y, zeroCrossing.u) annotation (Line(points={{45,48},{64,
          48}},                                                                       color={0,0,127}));
  connect(lessThreshold.y, zeroCrossing.enable) annotation (Line(points={{51,10},
          {76,10},{76,36}},                 color={255,0,255}));
  connect(resetIntegrator1.y, limIntegrator.u)
    annotation (Line(points={{5,48},{22,48}},   color={0,0,127}));
  connect(zeroCrossing.y, resetIntegrator1.r) annotation (Line(points={{87,48},
          {96,48},{96,74},{-6,74},{-6,59}},   color={255,0,255}));
  connect(lessThreshold.u, limIntegrator.u) annotation (Line(points={{28,10},{
          12,10},{12,48},{22,48}},   color={0,0,127}));
  connect(gain.y, resetIntegrator1.y0) annotation (Line(points={{-23,10},{-28,
          10},{-28,41},{-18,41}}, color={0,0,127}));
  connect(gain.u, limIntegrator.u) annotation (Line(points={{0,10},{12,10},{12,
          48},{22,48}},     color={0,0,127}));
  connect(add.y, resetIntegrator1.u)
    annotation (Line(points={{-39,48},{-18,48}}, color={0,0,127}));
  connect(const.y, add.u1)
    annotation (Line(points={{-79,54},{-62,54}}, color={0,0,127}));
  connect(airResistance.v, limIntegrator.u) annotation (Line(points={{-36.2,-10},
          {12,-10},{12,48},{22,48}}, color={0,0,127}));
  connect(airResistance.Fr, add.u2) annotation (Line(points={{-56.2,-10},{-70,
          -10},{-70,42},{-62,42}}, color={0,0,127}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(StopTime=30, __Dymola_NumberOfIntervals=2000));
end BBeva1;
